Lists flex connector profiles
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/flex-connectors \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/flex-connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/flex-connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
" {\n \"name\": \"connector-name\",\n \"icon\": 🔌,\n \"logo\": {\n \"type\": \"URL\",\n \"image\": {\n \"url\": \"https://logo-location.svg\"\n }\n },\n \"endpoints\": [\n {\n \"id\": \"40c12625-fe35-4d95-96ea-79f0eba3243c\",\n \"name\": \"endpoint-name\",\n \"url\": \"https://connector-url\",\n \"httpMethod\": \"GET\",\n \"auth\": \"BEARER\",\n \"authTemplate\": null,\n \"authenticationOptions\": [\n {\n \"type\": \"BEARER\",\n \"parameters\": [],\n \"additionalParameters\": null\n }\n ],\n \"paging\": {\n \"type\": \"none\"\n },\n \"headerParameters\": [],\n \"queryParameters\": [],\n \"uriParameters\": [],\n \"structure\": {\n \"schema\": {},\n \"containedInOuterArray\": true,\n \"repeatingElementPath\": []\n },\n \"body\": null\n }\n ],\n \"deleted\": false,\n \"deletedTime\": null,\n \"lastModified\": \"2023-11-17T11:42:11.678445Z\"\n },\n"{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Connectors
Lists flex connector profiles
Lists flex connector profiles, these can be used to create resources where required
GET
/
v1
/
flex-connectors
Lists flex connector profiles
Authorizations
a valid bearer token
Response
Flex connectors successfully returned
Was this page helpful?
⌘I
